/****************************************************************************\
**
**  Name:			EDFDEMO3.DSL 
**	Description:	Demonstration Script for 3 Panel EDF Display System.
**
**  Author:			Robert A. Coward
**	Original Date:	23th April 2001
**
**  Modification Record:
**		23/04/2001	RAC		Initial Version
**	
**	
\****************************************************************************/

// set up number of panels and other parms
num_displays 3
mode auto_centre
new_file
edf_script

/*****************************************************************************/
/*************************  INTRODUCTORY MESSAGES  ***************************/
/*****************************************************************************/

//============================================================================
// write out the introductory text frames

//12345678123456781234567812345678
 "\o \gWelcome to the \oͻ"
 "\o   \rE\ynhanced \rD\yisplay   \o"
 "\o    \rF\yirmware \gDemo     \o"
 "\o \gby \rRobert Coward \oͼ"
out 5000

//123456781234567812345678
 "\rEDF \gis a \y\RCompletely New\-"
 "\yFirmware Replacement"
 "\gfor the \rQEDD9008 "
 "\yDisplay Panels"
wipe panel_explode 20
pause 5

//123456781234567812345678
 "\yEDF has been jointly"
 "developed by "
 "\rRobert A. Coward \yand"
 "\rSimon J. Harrison"
scroll down 60
pause 5

//123456781234567812345678
 "\gIt offers lots of New"
 "\r\YFAST\- \yPixellated Effects "
 "\gand a gives a \rMassive"
 "\rPerformance Boost"
edf_dissolve 20
pause 5

//123456781234567812345678
\y
 "Particularly Impressive"
 "Effects include"
\o
 "Superb Colour Plane"
 "Splitting Scrolls"
scroll left 20
pause 3
 " \>95"	// fill hold with spaces
edf_colscroll bidirectional
millisec 500	// stops buffer overflow!

edf_user_col meld_gyr band_gog
edf_user_buff meld_ryg band_ogo
//123456781234567812345678
\o
 "EDF ALSO OFFERS"
 "MULTICOLOUR CHARACTERS"
\y
 "AND SMOOTH COLOUR PLANE"
 "ROLLING EFFECTS"
wipe vert_explode 30
edf_buffered_roll norm_yellow down 50 30
blank 500

edf_user_col meld_smooth_yr meld_smooth_ry
//123456781234567812345678
\y
 "THE REMAINDER OF THIS"
\o
 "DEMONSTRATION GIVES A"
\y
 "MORE DETAILED OVERVIEW"
\o
 "OF THE NEW EDF FEATURES"
edf_cell_wipe down 60
pause 6
blank 1500
contrast 35

/*****************************************************************************/
/***************************  TRANSFER EFFECTS  ******************************/
/*****************************************************************************/

// load the initial frame for display
\g\-      // whole frame green
//123456781234567812345678
 "Demonstration of various"
 "EDF Transfer Effects"
 "brought to you by"
 "Robert A Coward 2001"
out 3000

//============================================================================
// Random character update

\r	
//123456781234567812345678
 "EDF Transfer Effect:"
 "Random Character Update"
\y
 "Characters are updated"
 "in a random order"
random 30
pause 3
random 20
pause 2

//============================================================================
// Pixellated dissolve effect

\r	
//123456781234567812345678
 "EDF Transfer Effect:"
 "Full Pixellated Dissolve"
\y
 "Pixels are updated"
 "in a random order"
dissolve 40
pause 3
dissolve 20
pause 2

//============================================================================
// Fast character wipe effects

\r	
//123456781234567812345678
 "EDF Transfer Effect:"
 "Fast Character Wipe"
\y\R
 "Updates horizontally"
 "character by character"
fast_wipe left 40
pause 3
fast_wipe right 40
pause 2
fast_wipe horiz 40
pause 3
fast_wipe rev_horiz 40
pause 2

//============================================================================
// Sequential (line by line) character wipe effects

\r\- 
//123456781234567812345678
 "EDF Transfer Effect:"
 "Sequential Char Wipe"
\y\R
 "Runs character wipe"
 "effect line by line"
fast_wipe line left 20
pause 3
fast_wipe rev_line horiz 20
pause 2

//============================================================================
// Character cell wipe effects

\r\- 
//123456781234567812345678
 "EDF Transfer Effect:"
 "Character Cell Wipe"
\y
 "Wipes across all char"
 "cells simultaneously"
edf_cell_wipe down 60
pause 3
edf_cell_wipe up 60
pause 2

//============================================================================
// Normal Horizontal Pixellated wipe effects

\r	
//123456781234567812345678
 "EDF Transfer Effect:"
 "Horizontal Pixel Wipe"
\y
 "Smooth wipe updates"
 "pixel columns in turn"
wipe left 10
pause 3
wipe right 10
pause 2
wipe explode 10
pause 3
wipe implode 10
pause 2
wipe panel_explode 20
pause 3
wipe panel_implode 20
pause 2

//============================================================================
// Normal Vertical Pixellated wipe effects

//123456781234567812345678
\r	
 "EDF Transfer Effect:"
 "Vertical Pixel Wipe"
\y
 "Smooth wipe updates"
 "pixel rows in turn"
wipe down 20
pause 3
wipe up 20
pause 2
wipe vert_explode 30
pause 3
wipe vert_implode 30
pause 2

//============================================================================
// Full Frame Pixellated scroll effects

\r	
//123456781234567812345678
 "EDF Transfer Effect:"
 "Full Frame Pixel Scrolls"
\y
 "Smooth scroll across"
 "all rows pixel by pixel"
scroll left 10
pause 3
scroll right 20
pause 2
scroll horiz 10
pause 3
scroll horiz 20
pause 2

//============================================================================
// Part line Pixellated scroll effects

empty_hold
\r	
//123456781234567812345678
 "EDF Transfer Effect:"
 "Partial Pixel Scrolls"
scroll left 10
pause 3
scroll right 10
pause 2

//============================================================================
// Sequential (line by line) Pixellated scroll effects

//123456781234567812345678
\r	
 "EDF Transfer Effect:"
 "Sequential Pixel Scrolls"
\y
 "Smooth scroll across"
 "each row in turn"
scroll line left 10
pause 3
scroll line horiz 10
pause 2

//============================================================================
// Pixellated Character Cell scroll effects

//123456781234567812345678
\r
 "EDF Transfer Effect:"
 "Character Cell Scrolls"
\y
 "Scrolls across all char"
 "cells simultaneously"
edf_cellscroll down 50
pause 3
edf_cellscroll up 50
pause 2

//============================================================================
// Colour plane scroll effects

blank 1000

//123456781234567812345678
\y							// normal yellow
 "EDF Transfer Effect:"
 "Colour Plane Scrolls"
\o							// reverse yellow
 "Scrolls both colour"
 "planes separately"
edf_colscroll bidirectional 20
pause 3
edf_revcolscroll bidirectional 10
pause 2

//123456781234567812345678
\y							// normal yellow
 "EDF Transfer Effect:"
\o							// reverse yellow
 "Colour Plane Scrolls"
\y							// normal yellow
 "Scrolls both colour"
\o							// reverse yellow
 "planes separately"
edf_colscroll horiz 20
pause 2
edf_revcolscroll horiz 10
pause 2


/*****************************************************************************/
/**************************  NON-TRANSFER EFFECTS  ***************************/
/*****************************************************************************/

//============================================================================
// full display fade effect

//123456781234567812345678
\r
 "EDF Non-Transfer Effect:"
\g
 "Full Display Fade"
\y
 "Gently fades all"
 "characters on display"
out 1000
edf_fade 30 6 35 0
pause 1

//============================================================================
// full display fade effect

blank 500
//123456781234567812345678
\y
 "EDF Non-Transfer Effect:"
\o
 "Display Cross Fade"
\y
 "Cross fades normal"
\o
 "and reverse yellows"
out 1000
edf_fade cross_yellow 30 6 35 0
pause 1

//============================================================================
// full character colour cycling effect

blank 500
contrast 35
//123456781234567812345678
\y
 "EDF Non-Transfer Effect:"
 "Cross Colour Cycle"
\o
 "Colour cycles normal"
 "and reverse yellows"
out 1000
:fade_loop1
edf_red_green_fade 50 2 35 5
edf_green_red_fade 50 2 35 5
goto fade_loop1 1
pause 1

//============================================================================
// multicolour characters

blank 500
edf_user_col meld_smooth_yr meld_smooth_ry
//123456781234567812345678
\y
 "MULTI-COLOUR CHARACTERS:"
\o
 "INDIVIDUAL CONTROL OF"
\y
 "NORMAL & REVERSE YELLOW"
\o
 "PIXEL LINE CONTRAST"
out 3000
edf_user_buff meld_smooth_gy meld_smooth_yg
edf_transpose 2000
pause 1
edf_user_buff meld_ryg meld_gyr
edf_transpose 2000
pause 1
edf_user_buff band_gog band_ogo
edf_transpose 2000
pause 1

//============================================================================
// simple buffered colour roll

blank 500
edf_user_col meld_gyr band_gog
edf_user_buff meld_ryg band_ogo
//123456781234567812345678
\o
 "BUFFERED COLOUR ROLL:"
 "REVERSE YELLOW FIXED"
\y
 "NORMAL YELLOW ATTRIBUTE"
 "ROLLING DOWNWARDS"
out
edf_buffered_roll norm_yellow down 50 30

//============================================================================
// combined interleaved colour roll

blank 500
edf_user_col meld_gyr meld_gyr
//123456781234567812345678
\y
 "COMBINED COLOUR ROLL:"
\o
 "BOTH YELLOW ATTRIB ROLL"
\y
 "IN OPPOSITE DIRECTIONS"
\o
 "ON ALTERNATE LINES"
out
edf_full_colour_roll interleave 50 15

//============================================================================
// combined unidirectional buffered colour roll

blank 500
edf_user_col meld_smooth_yr meld_smooth_ry
edf_user_buff meld_smooth_yg meld_smooth_gy
//123456781234567812345678
\y
 "BUFFERED COMBINED ROLL:"
\o
 "BOTH YELLOW ATTRIBUTES"
\y
 "ROLL IN SAME DIRECTION"
\o
 "THROUGH BOTH BUFFERS"
out
edf_full_buffered_roll down 50 15
 
/*****************************************************************************/
/**************************  NEW FLASHING EFFECTS  ***************************/
/*****************************************************************************/

//============================================================================
// Set up the user defined characters for flashing messages

// flashing between yellow and red (second character is fixed E)
edf_copy_char 1  89	// Y
edf_copy_char 3	 76	// L
edf_copy_char 5	 76	// L
edf_copy_char 7	 79	// O
edf_copy_char 9  87	// W
edf_copy_char 32 82	// R
edf_copy_char 2	 68	// D
edf_copy_char 4  32	// 
edf_copy_char 6	 32	// 
edf_copy_char 8  32	// 

// flashing between yellow and green
edf_copy_char 11 89	// Y
edf_copy_char 13 69	// E
edf_copy_char 15 76	// L
edf_copy_char 17 76	// L
edf_copy_char 19 79	// O
edf_copy_char 21 87	// W
edf_copy_char 10 71	// G
edf_copy_char 12 82	// R
edf_copy_char 14 69	// E
edf_copy_char 16 69	// E
edf_copy_char 18 78	// N
edf_copy_char 20 32	// 

// flashing between green and red
edf_copy_char 23 71	// G
edf_copy_char 25 82	// R
edf_copy_char 27 69	// E
edf_copy_char 29 69	// E
edf_copy_char 31 78	// N
edf_copy_char 22 82	// R
edf_copy_char 24 69	// E
edf_copy_char 26 68	// D
edf_copy_char 28 32	// 
edf_copy_char 30 32	// 

//============================================================================
// construct the flashing message, and output it

blank 500
contrast 35
flash_rate 500

//123456781234567812345678
\r
 "\YEDF Flashing Effects:"
\y
 "\K\a001\RE\K\a003\a005\a007\a009\-  \N\a001\SE\N\a003\a005\a007\a009\-  \K\a001\RE\K\a003\a005\a007\a009\-  "
\y
 "\L\a011\a013\a015\a017\a019\a021\-  \O\a011\a013\a015\a017\a019\a021\-  \L\a011\a013\a015\a017\a019\a021\-  "
\g
 "\M\a023\a025\a027\a029\a031\-   \P\a023\a025\a027\a029\a031\-   \M\a023\a025\a027\a029\a031\-   "
out 6000

//============================================================================
// demonstrate flashing colour planes using transpose effect

blank 500
edf_user_col meld_smooth_ry band_gog
edf_user_buff meld_smooth_yr band_ogo
//123456781234567812345678
\y
 "COLOUR PLANE FLASHING:"
\o
 "USES TRANSPOSE EFFECT"
\y
 "TO FLASH BETWEEN LIVE"
\o
 "AND BUFFERED CONTRAST"
out 500
edf_transpose 500 15

/*****************************************************************************/
/**************************  TERMINATION MESSAGE  ****************************/
/*****************************************************************************/

//============================================================================
// set up fancy colour planes and output message

blank 500
edf_user_col meld_smooth_ry dim_green

"\oͻ"
"\o  \yThat's All Folks!   \o"
"\o \y(c) R.A.Coward 2001  \o"
"\oͼ"
out

/*****************************************************************************/
/********* End of File ******** End of File ******** End of File *************/
